KDE 4.9 PyKDE API Reference

- KDE's Python API

# ItemPassword Class Reference

`from PyKDE4.kdecore import *`

Inherits: KCoreConfigSkeleton.ItemString → KConfigSkeletonItem
Namespace: KCoreConfigSkeleton

## Detailed Description

Class for handling a password preferences item.

## Methods

| __init__ (self, QString _group, QString _key, QString reference, QString defaultValue=QLatin1String(""))
| readDefault (self, KConfig config)
| setDefault (self)
| setDefaultValue (self, QString v)
| setValue (self, QString v)
| swapDefault (self)
QString | value (self)

## Method Documentation

__init__ | ( | self, |
|  | QString | _group,
|  | QString | _key,
|  | QString | reference,
|  | QString | defaultValue=QLatin1String("")
| ) |  |  |

KConfigSkeletonGenericItem.KConfigSkeletonGenericItem

readDefault | ( | self, |
|  | KConfig | config
| ) |  |  |

setDefault | ( |  | self ) |

setDefaultValue | ( | self, |
|  | QString | v
| ) |  |  |

setValue | ( | self, |
|  | QString | v
| ) |  |  |

swapDefault | ( |  | self ) |

QString value | ( |  | self ) |